package com.ejie.m62fb.model.tipos;

public class EstadoTramitacion extends AbstractTipoGenericoP28 {

	private static final long serialVersionUID = 1L;

	public static final String CREADO = "1";
	public static final String APERTURADO = "2";
	public static final String NOTIFICADO = "3";

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final long NUM_REGISTRO = P28Tipos.ESTADO_TRAMIT;

	/**
	 * Method 'RegimenAcceso'.
	 */
	public EstadoTramitacion() {
		super(EstadoTramitacion.NUM_REGISTRO);
	}

	/**
	 * Method 'RegimenAcceso'.
	 * 
	 * @param codTabla
	 *            String
	 */
	public EstadoTramitacion(String codTabla) {
		super(EstadoTramitacion.NUM_REGISTRO, codTabla);
	}

	/**
	 * Method 'RegimenAcceso'.
	 * 
	 * @param codTabla
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public EstadoTramitacion(String codTabla, String descripcionEs,
			String descripcionEu) {
		super(EstadoTramitacion.NUM_REGISTRO, codTabla, descripcionEs,
				descripcionEu);
	}
}